


local MAJOR, MINOR = "LibBuilder-1.0", 1

local LibBuilder = LibStub:NewLibrary(MAJOR, MINOR)
if not LibBuilder then return end

LibBuilder.workspace = nil
LibBuilder.currentMajor = nil
LibBuilder.currentMinor = nil


--- Registers a new library and creates a workspace for it.
-- @param	major	The major version of the library being registered
-- @param	minor	The minor version of the library being registered
-- @return	workspace	The workspace for the new library.
function LibBuilder:NewLib(major, minor)
	assert(self.workspace == nil)
	assert(self.currentMajor == nil)
	assert(self.currentMinor == nil)
	
	self.currentMajor = major
	self.currentMinor = minor
	
	self.workspace = {}
	
	return self.workspace
end

function LibBuilder:GetLib()
	return self.currentMajor, self.currentMinor, self.workspace
end


function LibBuilder:CloseLib(major, minor)
	self.currentMajor, self.currentMinor, self.workspace = nil, nil, nil
end

